[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTreeViewInsertMarkType

Represents insert mark locations used in TCustomTreeView.

## Declaration

Source position: comctrls.pp line 3375

`type TTreeViewInsertMarkType = (`
`tvimNone,` |  | No insert mark is used in a tree view.
`tvimAsFirstChild,` |  | Uses an insert mark for the root or first child node in a tree view.
`tvimAsNextSibling,` |  |
`tvimAsPrevSibling` |  |
`);`

## Description

TTreeViewInsertMarkType is an enumerated type with values representing insert mark locations used for nodes in the TCustomTreeView control. TTreeViewInsertMarkType is the type used to implement the InsertMarkType property in TCustomTreeView.

## See also

TCustomTreeView.InsertMarkType |  | Indicates the default position for an insertion mark relative to a node and its parent or children.